Get Call
curl --request GET \
--url https://api.example.com/v1/Accounts/{account_sid}/Calls/{call_sid}import requests
url = "https://api.example.com/v1/Accounts/{account_sid}/Calls/{call_sid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/Accounts/{account_sid}/Calls/{call_sid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_sid": "5f8e8f60-4771-44cb-92a6-94ea66df0450",
"application_sid": "98acd50a-9f25-42a6-8dbf-aadb400ddcf0",
"call_id": "24f6442d-3be6-123a-dc86-0e72d4e3c899",
"call_sid": "e1577b29-3609-4d83-9ddd-8bd7f965b53c",
"call_status": "completed",
"caller_name": "",
"direction": "inbound",
"duration": 57,
"from": "+15083084809",
"originating_sip_ip": "54.172.60.2:5060",
"originating_sip_trunk_name": "Twilio",
"service_url": "http://172.31.32.144:3000",
"sip_status": 200,
"to": "+15083728299"
}v1
Get Call
Retrieve information about a specific call in progress, or one that has recently ended (within the past ten minutes).
GET
/
v1
/
Accounts
/
{account_sid}
/
Calls
/
{call_sid}
Get Call
Path Parameters
Example:
"5f8e8f60-4771-44cb-92a6-94ea66df0450"
Example:
"a4941f23-66b8-4b52-b495-94192adee7ec"
Response
200 - application/json
Get Call
Example:
"5f8e8f60-4771-44cb-92a6-94ea66df0450"
Example:
"98acd50a-9f25-42a6-8dbf-aadb400ddcf0"
Example:
"24f6442d-3be6-123a-dc86-0e72d4e3c899"
Example:
"e1577b29-3609-4d83-9ddd-8bd7f965b53c"
Example:
"completed"
Example:
""
Example:
"inbound"
Example:
57
Example:
"+15083084809"
Example:
"54.172.60.2:5060"
Example:
"Twilio"
Example:
"http://172.31.32.144:3000"
Example:
200
Example:
"+15083728299"

